$!++
$! build_dist_src.com
$! build source distribution kit -- 02-MAY-1998 Uwe Zessin
$!--
$ write SYS$OUTPUT F$FAO("!79*-")
$ _DEFAULT = F$ENVIRONMENT("DEFAULT")
$! on ERROR then $ exit %X2C
$ set noON
$! -----
$ if (F$GETSYI("HW_MODEL").ge.1024)
$ then
$   _ARCH = "ALPHA"
$ else
$   _ARCH = "VAX"
$ endif
$! -----
$ _PROCEDURE = F$ENVIRONMENT("PROCEDURE")
$ _DEVICE    = F$PARSE(_PROCEDURE,,,"DEVICE")
$ _DIRECTORY = F$PARSE(_PROCEDURE,,,"DIRECTORY")
$!
$ set DEFAULT '_DEVICE''_DIRECTORY'	! [.VMS.TOOLS]
$ GZIP   = "$" + F$ENVIRONMENT("DEFAULT") + "GZIP_"   + _ARCH 
$ VMSTAR = "$" + F$ENVIRONMENT("DEFAULT") + "VMSTAR_" + _ARCH 
$ ZIP    = "$" + F$ENVIRONMENT("DEFAULT") + "ZIP_"    + _ARCH 
$! ----------------------------------------
$!+
$! create temporary directory for distribution tree
$!-
$ create /directory /owner=[1,4] /protection=(g:re,w:re) [PYTHON.DIST_SRC_TMP]
$ define /translation=(concealed,terminal) -
  PYVMS_DIST_SRC  '_DEVICE'[PYTHON.DIST_SRC_TMP.]
$!
$! ----------------------------------------
$!+
$! copy files to temporary tree
$!-
$! -- files of the original python distribution that have been modified or
$! --   patches applied (or both)
$ backup [--.LIB]GZIP.PY;, IMAPLIB.PY;, SGMLLIB.PY;, SOCKETSERVER.PY;, -
  STRING.PY;, URLLIB.PY; -
  PYVMS_DIST_SRC:[*...]*.* /owner=[1,4] /protection=(g:re,w:re)
$!
$ backup [--.MODULES]MAIN.C;, PARSERMODULE.C;, PCRE-INT.H;, PCRE.H;, -
  PYPCRE.C;, SELECTMODULE.C;, SOCKETMODULE.C;, STROPMODULE.C;, -
  TIMEMODULE.C;, TIMING.H;, ZLIBMODULE.C;, _LOCALEMODULE.C;, _TKINTER.C; -
  PYVMS_DIST_SRC:[*...]*.* /owner=[1,4] /protection=(g:re,w:re)
$!
$ backup [--.OBJECTS]CLASSOBJECT.C;, LONGOBJECT.C;, FILEOBJECT.C;, OBJECT.C;, -
  STRINGOBJECT.C; -
  PYVMS_DIST_SRC:[*...]*.* /owner=[1,4] /protection=(g:re,w:re)
$!
$ backup [--.PYTHON]BLTINMODULE.C;, CEVAL.C;, IMPORT.C; -
  PYVMS_DIST_SRC:[*...]*.* /owner=[1,4] /protection=(g:re,w:re)
$!
$ backup [--.TOOLS.FREEZE]FREEZE.PY; -
  PYVMS_DIST_SRC:[*...]*.* /owner=[1,4] /protection=(g:re,w:re)
$!
$! -- new files for the OpenVMS port
$ backup [--]CONFIG.H;, [--.VMS...]*.*; -
  /EXCLUDE= ([--.VMS.O_*...], [--.VMS.TMP...]*.*;*, [--.VMS.WRK...]*.*;*, -
	     [--.VMS.DEL...]*.*;*, -
             [--.VMS._*...], *.brn;*, *.exe;*, *.lni;*, *.log;*, *.map;*, -
	     *.mem;*, *.rnt;*, *.rnx;*, PYVMSDOC.TXT;*) -
  PYVMS_DIST_SRC:[*...]*.* /owner=[1,4] /protection=(g:re,w:re)
$!
$!+
$! delete files that are not to be included in the distribution
$!-
$ delete PYVMS_DIST_SRC:[PYTHON.PYTHON-1_5_1.VMS]*.MAR;*, -
  PYTHON_ALPHA.;*, PYTHON_VAX.;* ! *.EXE;*, *.MAP;*,
$!
$ set file /protection= (o:rwed,w:rwed) -
	PYVMS_DIST_SRC:[PYTHON.PYTHON-1_5_1.VMS]TMP.DIR;*, -
  - !	PYVMS_DIST_SRC:[PYTHON.PYTHON-1_5_1.VMS.O_*...]*.DIR;*, -
        PYVMS_DIST_SRC:[PYTHON.PYTHON-1_5_1.VMS]O_*.DIR;* !! , _*.DIR;*
$!
$ delete PYVMS_DIST_SRC:[PYTHON.PYTHON-1_5_1.VMS]TMP.DIR;*, -
  - !	 PYVMS_DIST_SRC:[PYTHON.PYTHON-1_5_1.VMS.O_*...]*.DIR;*, -
	 PYVMS_DIST_SRC:[PYTHON.PYTHON-1_5_1.VMS]O_*.DIR;* !! , _*.DIR;*
$ delete PYVMS_DIST_SRC:[PYTHON.PYTHON-1_5_1.VMS.DOC]*.RNO;* -
	 - ! PYVMSDOC.TXT;*, *.BRN;*, *.LNI;*, *.MEM;*, *.RNT;*, *.RNX;* -
         /exclude=(PYVMSDOC.RNO)
$!
$! ----------------------------------------
$!+
$! copy work-files to a separate save-set if this is a private transfer
$! from one development system to the other (VAX <--> Alpha)
$! (include copy of some 'tools', that are not included in the distribution)
$!-
$ backup [--.VMS.DEL]*.*; , -
	 [--.VMS.WRK...]*.*; , [--.VMS.TOOLS]*.EXE; - ! GZIP, UNZIP, VMSTAR, ZIP
  /exclude= (FILE_SET_DATE_*.EXE;*) -
  'DEVICE'[PYTHON]PYVMS_WRK.BCK /SAVE_SET /GROUP=0 /VERIFY
$!
$! ----------------------------------------
$!+
$! create distribution files
$!-
$ set default PYVMS_DIST_SRC:[PYTHON]
$!
$! -- lines after the call to ZIP are included as a comment in the .ZIP file
$! --  '.' terminates it
$ ZIP -9 -z [000000]PYVMS1_5_1-V001SRC.ZIP [.PYTHON-1_5_1...]*.*;

Python V1.5.1-V001P3 (Preview 3) kit for OpenVMS Alpha & VAX
Copyright 1996-1998 Uwe Zessin 

.
$!
$!
$!@@$ delete PYVMS_DIST_SRC:[000000...]*.*;*, ;, ;, ;, ;, ;, ;, ;, ;
$!
$ directory /size=all [000000]PYVMS1_5_1-V001SRC.ZIP, -
		      'DEVICE'[PYTHON]PYVMS_WRK.BCK
$!
$ set DEFAULT '_DEFAULT'
