/* VMS_JPIDEF.C -- 17-NOV-1996 Uwe Zessin
   (copied from VMS_QUIDEF.C -- version 16-OCT-1997)

   29-NOV-1997 ZE. -- changes for Python V1.5B1
*/

#include "python.h"

#include "vmsdef.h"
/* reference to translation table for JPI$_name text/code */
extern struct vmsdef_xr_itmtbl VMSDEF_GR_$JPIDEF[];
/* current VMS version */
extern vmsdef_xw_vmsver vmsdef_gw_vmsver;

/* ------------------------------------------------------------------------- */
static char vms_jpidef_doc__ [] =
"This module provides data definitions for the vms_lib.getjpi() function.\n\
See the VMS_LIB documentation for details.";

/* ------------------------------------------------------------------------- */

static struct PyMethodDef vms_jpidef_methods[] = {
	{NULL,			NULL}
};

void
initvms_jpidef()
{
	PyObject *m, *d, *x;
	long	l_trn_index;
	char*	at_itm_name;

	m = Py_InitModule4("vms_jpidef",
			   vms_jpidef_methods,
			   vms_jpidef_doc__,
			   (PyObject *)NULL,
			   PYTHON_API_VERSION);
	d = PyModule_GetDict(m);

	/* ----- ----- ----- ----- */

	/* loop through table (in VMSDEF_$JPIDEF.MAR) */
	l_trn_index = 0;
	while (VMSDEF_GR_$JPIDEF[l_trn_index].w_vmsvermin != 0)
	{
	  /* check VMS version */
	  if ((VMSDEF_GR_$JPIDEF[l_trn_index].w_vmsvermin <=vmsdef_gw_vmsver) &&
	      (VMSDEF_GR_$JPIDEF[l_trn_index].w_vmsvermax >=vmsdef_gw_vmsver)  )
	  {
	    /* if item has bitmask, load bit definitions */
	    if (VMSDEF_GR_$JPIDEF[l_trn_index].ar_bitmsk != 0)
	    {
	      struct vmsdef_x_bitmsk* ar_bitmsk;

	      ar_bitmsk = VMSDEF_GR_$JPIDEF[l_trn_index].ar_bitmsk;
	      while (ar_bitmsk->w_vmsvermin != 0)
	      {
		/* check VMS version number */
		if ((ar_bitmsk->w_vmsvermin <=vmsdef_gw_vmsver) &&
		    (ar_bitmsk->w_vmsvermax >=vmsdef_gw_vmsver)  )
		{
		  x = PyInt_FromLong(ar_bitmsk->l_bit_value);
		  at_itm_name = ar_bitmsk->at_bit_name;
		  /* @@ check if item already in dictionary */
		  PyDict_SetItemString(d, at_itm_name, x);
		}
		ar_bitmsk++;		/* point to next bitmask element */
	      }
	    }
	  } /* VMS version check */
	  l_trn_index++;			/* next item code */
	}
	/* ----- ----- ----- ----- */

	/* Check for errors */
        if (PyErr_Occurred())
                Py_FatalError("can't initialize module vms_jpidef");
	/* ----- ----- ----- ----- */

} /* initvms_jpidef () */

/* ------------------------------------------------------------------------- */

/* EOF: VMS_JPIDEF.C */
